## org.apache.maven.embedder
Class MavenEmbedderLoggerManager

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLoggerManager
          org.apache.maven.embedder.MavenEmbedderLoggerManager

All Implemented Interfaces:
  org.codehaus.plexus.logging.LoggerManager, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable

    public class MavenEmbedderLoggerManager

extends org.codehaus.plexus.logging.AbstractLoggerManager
implements org.codehaus.plexus.logging.LoggerManager, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable

This is a simple logger manager that will only write the logging statements to the console.

Sample configuration:

     <logging>
       <implementation>org.codehaus.plexus.logging.ConsoleLoggerManager</implementation>
       <logger>
         <threshold>DEBUG</threshold>
       </logger>
     </logging>

Version:
  $Id: MavenEmbedderLoggerManager.java 292888 2005-10-01 01:17:36Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

Field Summary

Fields inherited from interface org.codehaus.plexus.logging.LoggerManager
`ROLE`

Constructor Summary
`MavenEmbedderLoggerManager(org.codehaus.plexus.logging.Logger logger)`

Method Summary
`int` `getActiveLoggerCount()`
`org.codehaus.plexus.logging.Logger` `getLoggerForComponent(java.lang.String role, java.lang.String roleHint)`
`int` `getThreshold()`
`int` `getThreshold(java.lang.String role, java.lang.String roleHint)`
`void` `initialize()`
`void` `returnComponentLogger(java.lang.String role, java.lang.String roleHint)`
`void` `setThreshold(int currentThreshold)`
`void` `setThreshold(java.lang.String role, java.lang.String roleHint, int threshold)`

Methods inherited from class org.codehaus.plexus.logging.AbstractLoggerManager
`getLoggerForComponent, getThreshold, returnComponentLogger, setThreshold, toMapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.logging.LoggerManager
`getLoggerForComponent, getThreshold, returnComponentLogger, setThreshold`

Constructor Detail

### MavenEmbedderLoggerManager

    public MavenEmbedderLoggerManager(org.codehaus.plexus.logging.Logger logger)

Method Detail

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`

### setThreshold

    public void setThreshold(int currentThreshold)

  Specified by:
    `setThreshold` in interface `org.codehaus.plexus.logging.LoggerManager`

### getThreshold

    public int getThreshold()

  Specified by:
    `getThreshold` in interface `org.codehaus.plexus.logging.LoggerManager`
  Returns:
    Returns the threshold.

### setThreshold

    public void setThreshold(java.lang.String role,
                             java.lang.String roleHint,
                             int threshold)

  Specified by:
    `setThreshold` in interface `org.codehaus.plexus.logging.LoggerManager`

### getThreshold

    public int getThreshold(java.lang.String role,
                            java.lang.String roleHint)

  Specified by:
    `getThreshold` in interface `org.codehaus.plexus.logging.LoggerManager`

### getLoggerForComponent

    public org.codehaus.plexus.logging.Logger getLoggerForComponent(java.lang.String role,
                                                                    java.lang.String roleHint)

  Specified by:
    `getLoggerForComponent` in interface `org.codehaus.plexus.logging.LoggerManager`

### returnComponentLogger

    public void returnComponentLogger(java.lang.String role,
                                      java.lang.String roleHint)

  Specified by:
    `returnComponentLogger` in interface `org.codehaus.plexus.logging.LoggerManager`

### getActiveLoggerCount

    public int getActiveLoggerCount()

  Specified by:
    `getActiveLoggerCount` in interface `org.codehaus.plexus.logging.LoggerManager`

Copyright © 2011. All Rights Reserved.